# Name

shellcheck

# Category

Test

# Description

Runs shellcheck when the presence of a shell script is found.

- A locale with UTF-8 support is required. If the locale is not UTF-8 compliant, the locale will be forcibly set to C.UTF-8.
- The `-x` option is always passed to `shellcheck` if the version is greater than 0.4.1.
- Versions of `shellcheck` that are earlier than 0.3.5 will generate a warning that the tool is very buggy.

# Environment Variables

None

# Options

None

# Docker Notes

None

# Developer Notes

None